Description

Due to the fact that the RSBVideoReceiver is currently not versioned but used in a 0.5 as well as a 0.6 deployment context, we should
explicit take of that. Furthermore, the following isses were reported by Michal:

1) gcc 4.6.1 does not like assigning * types to &
rsbvideosender.cpp:98:60: error: invalid initialization of non-const reference 
of type ‘rsc::logging::LoggerFactory&’ from an rvalue of type 
‘rsc::logging::LoggerFactory*’         
rsbvideoreceiver.cpp:77:60: error: invalid initialization of non-const 
reference of type ‘rsc::logging::LoggerFactory&’ from an rvalue of type 
‘rsc::logging::LoggerFactory*’
this can be easily fixed by using LoggerFactory* and -> instead of . on the 
following line

2) for message of type COLOR_YUV422, it seems that no image data are allocated 
before calling the conversion to BGR, so there might be an extra line before 
216 of IplImageConverter.cpp:
cvCreateData(image);
otherwise it produces a SegmentationFault (at least with mine OpenCV 2.3.1)

3) messages sent by the robot (Atom head, SDK1.12-RSB0.5-alpha) have 
channels() set to 2, this is probably a bug. As a workaround, I had to change 
line 203 of IplImageConverter.cpp to:
            3);

Related issues:
History
#1 - 01/20/2012 03:58 PM - M. Havlena
- Status changed from New to Resolved

1) was fixed by David already
2) and 3) was just commited by me

#2 - 01/20/2012 09:19 PM - S. Wrede
- Assignee changed from S. Wrede to M. Havlena
- % Done changed from 0 to 100
Great! Thx for the fix!

#3 - 01/31/2012 12:15 PM - S. Wrede
- Target version deleted (0.6)

#4 - 01/26/2017 01:11 PM - J. Moringen
- Copied to Bug #2688: RSBVideoReceiver Compilation Broken / Broken YUV422 Conversion added
